import { SimpleLocalIntegration } from '../../core/index.js';
import { GuardianConfigFlow } from './guardian.classes.configflow.js';
import { createGuardianDiscoveryDescriptor } from './guardian.discovery.js';
import type { IGuardianConfig } from './guardian.types.js';
import { guardianDomain, guardianProfile } from './guardian.types.js';

export class GuardianIntegration extends SimpleLocalIntegration<IGuardianConfig> {
  public readonly domain = guardianDomain;
  public readonly discoveryDescriptor = createGuardianDiscoveryDescriptor();
  public readonly configFlow = new GuardianConfigFlow();

  constructor() {
    super(guardianProfile);
  }
}

export class HomeAssistantGuardianIntegration extends GuardianIntegration {}
